Error "Value was either too large or too small for an Int32" in Reporter Analyzer Web interface

Document ID : KB000022933
Last Modified Date : 14/02/2018
Show Technical Document Details

 

Issue: 

ReporterAnalyzer returns the following error message after logging in:

Exception Details: System.OverflowException: Value was either too large or too small for an Int32. Source Error: An unhandled exception was generated during the execution of the current web request. Information regarding the origin and location of the exception can be identified using the exception stack trace below. Stack Trace: [OverflowException: Value was either too large or too small for an Int32.] System.Convert.ToInt32(Double value) +2558104 NetQoS.ReporterAnalyzer.WebSite.Ctrls.FilterSelection.toggleBubbleInfo() in n:\netqos\REPORTER\NetQoS.ReporterAnalyzer.WebSite\Ctrls\FilterSelection.ascx.cs:607 NetQoS.ReporterAnalyzer.WebSite.Ctrls.FilterSelection.OnPreRender(EventArgs e) in n:\netqos\REPORTER\NetQoS.ReporterAnalyzer.WebSite\Ctrls\FilterSelection.ascx.cs:480 System.Web.UI.Control.PreRenderRecursiveInternal() +86 System.Web.UI.Control.PreRenderRecursiveInternal() +170 System.Web.UI.Control.PreRenderRecursiveInternal() +170 System.Web.UI.Control.PreRenderRecursiveInternal() +170 System.Web.UI.Control.PreRenderRecursiveInternal() +170 System.Web.UI.Control.PreRenderRecursiveInternal() +170 System.Web.UI.Control.PreRenderRecursiveInternal() +170 System.Web.UI.Control.PreRenderRecursiveInternal() +170 System.Web.UI.Page.ProcessRequestMain(Boolean includeStagesBeforeAsyncPoint, Boolean includeStagesAfterAsyncPoint) +2041 ?

Environment:  

ReporterAnalyzer 9.0

Cause: 

This can occur if ReporterAnalyzer is not properly licensed. For example, if the limit on licensed interfaces is set to 0.

Resolution:

Make sure that valid ReporterAnalyzer.lic and NetflowManager.lic files are in place in the \NetQoS\Licenses\ directory on the RA Master Console machine. Contact CA if new license files are required.

 

Additional Information:

Please note that RA 9.0 is no longer officially supported. Environments running RA 9.0 should be upgraded to a supported version of NFA.